Container Registries - Validate
Check if the container registry properties are valid.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AppPlatform/Spring/{serviceName}/containerRegistries/{containerRegistryName}/validate?api-version=2023-12-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
container
|
path | True |
string pattern: ^[a-z][a-z0-9-]*[a-z0-9]$ |
The name of the container registry. |
|
resource
|
path | True |
string |
The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal. |
|
service
|
path | True |
string pattern: ^[a-z][a-z0-9-]*[a-z0-9]$ |
The name of the Service resource. |
|
subscription
|
path | True |
string |
Gets subscription ID which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| credentials | True | ContainerRegistryCredentials: |
The credentials of the container registry resource. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success. The response describe the validation result of container registry. |
|
| 202 Accepted |
Accepted. The response indicates the container registry properties is validating. Headers Location: string |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
ContainerRegistries_Validate
Sample request
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.AppPlatform/Spring/my-service/containerRegistries/my-container-registry/validate?api-version=2023-12-01
{
"credentials": {
"type": "BasicAuth",
"server": "myServer",
"username": "myUsername",
"password": "myPassword"
}
}
Sample response
{
"isValid": false,
"message": "Validate container registry failed. please check the properties first."
}
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.AppPlatform/locations/eastus/operationStatus/default/operationId/00000000-0000-0000-0000-000000000000?api-version=2023-12-01
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.AppPlatform/locations/eastus/operationResults/00000000-0000-0000-0000-000000000000/Spring/default?api-version=2023-12-01
Definitions
| Name | Description |
|---|---|
|
Cloud |
An error response from the service. |
|
Cloud |
An error response from the service. |
|
Container |
The basic authentication properties for the container registry resource. |
|
Container |
Container registry resource payload. |
|
Container |
State of the Container Registry. |
|
Container |
Validation result for container registry properties |
CloudError
An error response from the service.
| Name | Type | Description |
|---|---|---|
| error |
An error response from the service. |
CloudErrorBody
An error response from the service.
| Name | Type | Description |
|---|---|---|
| code |
string |
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| details |
A list of additional details about the error. |
|
| message |
string |
A message describing the error, intended to be suitable for display in a user interface. |
| target |
string |
The target of the particular error. For example, the name of the property in error. |
ContainerRegistryBasicCredentials
The basic authentication properties for the container registry resource.
| Name | Type | Description |
|---|---|---|
| password |
string |
The password of the Container Registry. |
| server |
string |
The login server of the Container Registry. |
| type |
string:
Basic |
The credential type of the container registry credentials. |
| username |
string |
The username of the Container Registry. |
ContainerRegistryProperties
Container registry resource payload.
| Name | Type | Description |
|---|---|---|
| credentials | ContainerRegistryCredentials: |
The credentials of the container registry resource. |
| provisioningState |
State of the Container Registry. |
ContainerRegistryProvisioningState
State of the Container Registry.
| Value | Description |
|---|---|
| Creating | |
| Updating | |
| Succeeded | |
| Failed | |
| Deleting | |
| Canceled |
ContainerRegistryValidateResult
Validation result for container registry properties
| Name | Type | Description |
|---|---|---|
| isValid |
boolean |
Indicate if the container registry properties are valid |
| message |
string |
Detailed validation messages. |